Python
from kombo import Kombo
with Kombo(
api_key="<YOUR_BEARER_TOKEN_HERE>",
) as k_client:
res = k_client.general.get_integration_fields(integration_id="<id>", page_size=100)
while res is not None:
# Handle items
res = res.next()import { Kombo } from "@kombo-api/sdk";
const kombo = new Kombo({
api_key: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await kombo.general.getIntegrationFields({
integration_id: "<id>",
});
for await (const page of result) {
console.log(page);
}
}
run();require 'kombo'
Models = ::Kombo::Models
s = ::Kombo::Kombo.new(
security: Models::Shared::Security.new(
api_key: '<YOUR_BEARER_TOKEN_HERE>'
)
)
res = s.general.get_integration_fields(integration_id: '<id>', page_size: 100)
unless res.get_integrations_integration_id_integration_fields_positive_response.nil?
# handle response
endcurl --request GET \
--url https://api.kombo.dev/v1/integrations/{integration_id}/integration-fields \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.kombo.dev/v1/integrations/{integration_id}/integration-fields', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.kombo.dev/v1/integrations/{integration_id}/integration-fields",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.kombo.dev/v1/integrations/{integration_id}/integration-fields"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.kombo.dev/v1/integrations/{integration_id}/integration-fields")
.header("Authorization", "Bearer <token>")
.asString();{
"status": "success",
"data": {
"results": [
{
"id": "FFpTK47GhXnU6QAopPq2bdos",
"key": "tax_id",
"model": "hris_employees",
"type": "DEFAULT",
"label": "Tax ID",
"is_passthrough_enabled": true,
"is_writable": false
}
],
"next_cursor": null,
"next": null
}
}
Get integration fields
Get all fields available on the specified integration.
GET
/
integrations
/
{integration_id}
/
integration-fields
Python
from kombo import Kombo
with Kombo(
api_key="<YOUR_BEARER_TOKEN_HERE>",
) as k_client:
res = k_client.general.get_integration_fields(integration_id="<id>", page_size=100)
while res is not None:
# Handle items
res = res.next()import { Kombo } from "@kombo-api/sdk";
const kombo = new Kombo({
api_key: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await kombo.general.getIntegrationFields({
integration_id: "<id>",
});
for await (const page of result) {
console.log(page);
}
}
run();require 'kombo'
Models = ::Kombo::Models
s = ::Kombo::Kombo.new(
security: Models::Shared::Security.new(
api_key: '<YOUR_BEARER_TOKEN_HERE>'
)
)
res = s.general.get_integration_fields(integration_id: '<id>', page_size: 100)
unless res.get_integrations_integration_id_integration_fields_positive_response.nil?
# handle response
endcurl --request GET \
--url https://api.kombo.dev/v1/integrations/{integration_id}/integration-fields \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.kombo.dev/v1/integrations/{integration_id}/integration-fields', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.kombo.dev/v1/integrations/{integration_id}/integration-fields",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.kombo.dev/v1/integrations/{integration_id}/integration-fields"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.kombo.dev/v1/integrations/{integration_id}/integration-fields")
.header("Authorization", "Bearer <token>")
.asString();{
"status": "success",
"data": {
"results": [
{
"id": "FFpTK47GhXnU6QAopPq2bdos",
"key": "tax_id",
"model": "hris_employees",
"type": "DEFAULT",
"label": "Tax ID",
"is_passthrough_enabled": true,
"is_writable": false
}
],
"next_cursor": null,
"next": null
}
}
This includes the mapping to your custom fields
Authorizations
Create an API key on the Secrets page in the Kombo dashboard.
Path Parameters
Query Parameters
Response
GET /integrations/:integration_id/integration-fields Positive response
Was this page helpful?